Bug 1230503 - [abrt] dnf: repomanage.py:65:run:ValueError: invalid literal for int() with base 10: 'KEEP'
[abrt] dnf: repomanage.py:65:run:ValueError: invalid literal for int() with b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa4385f55b46ea04c4ed52099c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-11 00:28 EDT by Geovanni B. R.
Modified: 2015-07-10 15:01 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-10 15:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (150.84 KB, text/plain)
2015-06-11 00:29 EDT, Geovanni B. R.
no flags Details
File: dso_list (87 bytes, text/plain)
2015-06-11 00:29 EDT, Geovanni B. R.
no flags Details
File: environ (3.55 KB, text/plain)
2015-06-11 00:29 EDT, Geovanni B. R.
no flags Details

  None (edit)
Description Geovanni B. R. 2015-06-11 00:28:40 EDT
Version-Release number of selected component:
dnf-1.0.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        /usr/bin/python -OO /bin/dnf repomanage -k KEEP ./
executable:     /bin/dnf
kernel:         4.0.4.1433262058
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
#1 run in /usr/lib/python2.7/site-packages/dnf-plugins/repomanage.py:65
#2 run in /usr/lib/python2.7/site-packages/dnf/cli/cli.py:1077
#3 _main in /usr/lib/python2.7/site-packages/dnf/cli/main.py:134
#4 main in /usr/lib/python2.7/site-packages/dnf/cli/main.py:84
#5 user_main in /usr/lib/python2.7/site-packages/dnf/cli/main.py:185
#6 <module> in /bin/dnf:36
Comment 1 Geovanni B. R. 2015-06-11 00:29:02 EDT
Created attachment 1037500 [details]
File: backtrace
Comment 2 Geovanni B. R. 2015-06-11 00:29:07 EDT
Created attachment 1037501 [details]
File: dso_list
Comment 3 Geovanni B. R. 2015-06-11 00:29:13 EDT
Created attachment 1037502 [details]
File: environ
Comment 4 Honza Silhan 2015-06-11 11:01:27 EDT
Thanks for the report.
Comment 5 Igor Gnatenko 2015-06-13 05:09:21 EDT
https://github.com/rpm-software-management/dnf-plugins-extras/commit/cf5d1e5e2f5566f4ab0643068fa110390e3562f3

Fixed in upstream. Please use -k 10 or -k 2. I mean use integer, not text.
Comment 6 Fedora Update System 2015-06-30 13:13:15 EDT
dnf-plugins-extras-0.0.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.9-1.fc22
Comment 7 Fedora Update System 2015-07-02 13:05:24 EDT
Package dnf-plugins-extras-0.0.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10990/dnf-plugins-extras-0.0.9-1.fc22
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-07-10 15:01:47 EDT
dnf-plugins-extras-0.0.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.